unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ShellApi,
  NxCollection, NxPageControl;

type
  TForm1 = class(TForm)
    PageView5: TNxPageControl;
    PageSheet10: TNxTabSheet;
    PageSheet11: TNxTabSheet;
    PageSheet12: TNxTabSheet;
    pgwPages: TNxPageControl;
    pagWhidbey: TNxTabSheet;
    pagOneNote: TNxTabSheet;
    PageView1: TNxPageControl;
    PageSheet1: TNxTabSheet;
    PageSheet2: TNxTabSheet;
    PageSheet3: TNxTabSheet;
    HeaderView1: TNxHeaderPanel;
    HeaderView2: TNxHeaderPanel;
    FlipView3: TNxFlipPanel;
    LinkView11: TNxLinkLabel;
    LinkView12: TNxLinkLabel;
    LinkView13: TNxLinkLabel;
    ViewSplit1: TNxSplitter;
    FlipView1: TNxFlipPanel;
    LinkView1: TNxLinkLabel;
    LinkView3: TNxLinkLabel;
    Label1: TLabel;
    HeaderView3: TNxHeaderPanel;
    Splitter1: TSplitter;
    HeaderView4: TNxHeaderPanel;
    Label2: TLabel;
    Panel1: TPanel;
    GlyphButton3: TNxButton;
    FlipPanel2: TNxFlipContainer;
    FlipView2: TNxFlipPanel;
    FlipView5: TNxFlipPanel;
    FlipView6: TNxFlipPanel;
    FlipView7: TNxFlipPanel;
    FlipView10: TNxFlipPanel;
    NxAlertWindow1: TNxAlertWindow;
    NxAlertWindow2: TNxAlertWindow;
    NxButton1: TNxButton;
    procedure FormCreate(Sender: TObject);
    procedure LinkView3Click(Sender: TObject);
    procedure LinkView1Click(Sender: TObject);
    procedure GlyphButton3Click(Sender: TObject);
    procedure LinkView13Click(Sender: TObject);
    procedure LinkView12Click(Sender: TObject);
    procedure LinkView11Click(Sender: TObject);
    procedure NxButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  C: HCURSOR;
begin
  C := LoadCursor(0, IDC_HAND);
  if C <> 0 then Screen.Cursors[crHandPoint] := C;
  pgwPages.ShowTabs := False;
end;

procedure TForm1.LinkView3Click(Sender: TObject);
begin
  pgwPages.ActivePage := pagWhidbey;
end;

procedure TForm1.LinkView1Click(Sender: TObject);
begin
  pgwPages.ActivePage := pagOneNote;
end;

procedure TForm1.GlyphButton3Click(Sender: TObject);
begin
  NxAlertWindow1.Popup;
end;

procedure TForm1.LinkView13Click(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar('http://www.bergsoft.net/'), '', '', SW_NORMAL);
end;

procedure TForm1.LinkView12Click(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar('http://www.bergsoft.net/index.php?section=downloads&page=downloads'), '', '', SW_NORMAL);
end;

procedure TForm1.LinkView11Click(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar('http://www.bergsoft.net/index.php?section=articles&page=articles'), '', '', SW_NORMAL);
end;

procedure TForm1.NxButton1Click(Sender: TObject);
begin
  NxAlertWindow2.Popup;
end;

end.
